$(document).ready(function() {

    $.validator.addMethod("clavedistinta", function(value, element) {

        if ($('#txt_clave_actual').val() == $(txt_clave_nueva).val())
            return false;

        return true;

    }, "Debe ser distinta a la contraseña actual");

    $("#frm_cambiar_clave").validate({
        rules: {
            txt_clave_actual: {
                required: true
            },
            txt_clave_nueva: {
                required: true,
                clavedistinta: true
            },
            txt_clave_confirmacion: {
                required: true,
                equalTo: "#txt_clave_nueva"
            }
        },
        messages: {

            txt_clave_confirmacion: {
                equalTo: 'Confirmación no coincide'
            }
        },
        submitHandler: function(form) {

            cambiar_clave();

        },
        highlight: function(element) {
            $(element).closest('div').addClass('has-error');
        },
        unhighlight: function(element) {
            $(element).closest('div').removeClass('has-error');
        },
        errorElement: 'span',
        errorClass: 'help-block'
    });

});

function ver_cambiar_clave() {

    $('#txt_clave_actual').val('');
    $('#txt_clave_nueva').val('');
    $('#txt_clave_confirmacion').val('');

    $('#md_modal_clave').modal('show');
    $('#txt_clave_actual').focus();

}

function mostrarClase() {

    $('#md_modal_clase_nuevo').modal('show');
    $('#txt_nombre').focus();

}

function mostrarClase_modificar() {

    $('#md_modal_clase_modificar').modal('show');
    $('#txt_nombre_modificar').focus();

}

function cambiar_clave() {

    $.ajax({
        type: 'post',
        url: '/paginas/administrador/cuentaClaveModificar-ajax.php',
        dataType: 'json',
        beforeSend: function() {
            //mostrar_blockUI();
        },
        async: false,
        data: $("#frm_cambiar_clave").serialize(),
        success: function(msg) {

            if (msg.success) {

                // Credenciales aceptadas
                $('#md_modal_clave').modal('hide');
                $('#md_modal_mensaje_titulo').text('Modificación de Contraseña');
                $('#md_modal_mensaje_div_contenido').html(msg.mensaje);
                $('#md_modal_mensaje_cerrar').unbind()
                $('#md_modal_mensaje').modal('show');

            } else {

                $('#md_modal_clave').modal('hide');
                $('#md_modal_mensaje_cerrar').unbind()
                $('#md_modal_mensaje_cerrar').click(ver_cambiar_clave);
                $('#md_modal_mensaje_titulo').text('Modificación de Contraseña');
                $('#md_modal_mensaje_div_contenido').html(msg.mensaje);
                $('#md_modal_mensaje').modal('show');

            }
        },
        error: function(msg) {

            // Error en la llamada al archivo de autenticación
            $('#md_modal_clave').modal('hide');
            $('#md_modal_mensaje_cerrar').unbind()
            $('#md_modal_mensaje_cerrar').click(ver_cambiar_clave);
            $('#md_modal_mensaje_titulo').text('Modificación de Contraseña');
            $('#md_modal_mensaje_div_contenido').html('No se pudo modificar su Contraseña');
            $('#md_modal_mensaje').modal('show');
        },
        complete: function() {

            //ocultar_blockUI();

        }
    });

}

function cargar_informacion() {

    $.ajax({
        url: 'administrador_clases_cargar.php',
        success: function(data) {

            //alert(data);
            $("#tableContent").html(data).fadeIn('slow');

            jQuery('#tablaClases').DataTable({
                responsive: true
            });

        },
        error: function(msg) {

            alert('No se pudo cargar la información');

        },
        complete: function() {

        }
    })

}

function solicita_modificar(par1, par2) {

    $('#md_modal_clase_modificar_titulo').text('Modificar Clase Impartida: ' + par2);

    $.ajax({
        url: 'administrador_clases_recuperar-ajax.php?par1=' + par1,
        success: function(data) {

            $("#md_modal_clase_modificar_content").html(data).fadeIn('slow');
            $('#md_modal_clase_modificar').modal('show');

        }
    })

}

function solicita_eliminar(par1, par2) {

    $('#md_modal_mensaje_titulo').text('');
    $('#md_modal_confirmar_txt_id').val(par1);
    $('#md_modal_confirmar_titulo').text('Eliminación de una Clase Impartida');
    $('#md_modal_confirmar_div_contenido').html('¿Está seguro de eliminar la Clase Impartida <b>' + par2 + '</b>?');
    $('#md_modal_confirmar_btn_aceptar').unbind()
    $('#md_modal_confirmar_btn_aceptar').click(eliminar_clase);
    $('#md_modal_confirmar').modal('show');

}

function eliminar_clase() {

    var v_par1 = $('#md_modal_confirmar_txt_id').val();

    $.ajax({
        type: 'post',
        url: 'administrador_clases_eliminar-ajax.php',
        data: {
            par1: v_par1
        },
        dataType: 'json',
        beforeSend: function() {
            //mostrar_blockUI();
        },
        success: function(msg) {

            if (msg.success) {

                cargar_informacion();

                $('#md_modal_confirmar').modal('hide');

                $('#md_modal_mensaje').modal('show');
                $('#md_modal_mensaje_titulo').text('Eliminación de una Clase Impartida');
                $('#md_modal_mensaje_div_contenido').html('La Clase Impartida fue eliminada correctamente.');

            } else {

                $('#md_modal_confirmar_lbl_mensaje').text(msg.mensaje);

            }
        },
        error: function(msg) {

            $('#md_modal_confirmar_lbl_mensaje').text('No se pudo eliminar la Clase Impartida');

        },
        complete: function() {
            //ocultar_blockUI();			
        }

    });

}

function modificar_clase() {

    $.ajax({
        type: 'post',
        url: 'administrador_clases_modificar-ajax.php',
        dataType: 'json',
        beforeSend: function() {
            //mostrar_blockUI();
        },
        async: false,
        data: $("#frm_clase_modificar").serialize(),
        success: function(msg) {

            if (msg.success) {

                // Credenciales aceptadas
                cargar_informacion();
                $('#md_modal_clase_modificar').modal('hide');
                $('#md_modal_mensaje_titulo').text('Modificación de una Clase Impartida');
                $('#md_modal_mensaje_div_contenido').html(msg.mensaje);
                $('#md_modal_mensaje_cerrar').unbind()
                $('#md_modal_mensaje').modal('show');

            } else {

                $('#md_modal_clase_modificar').modal('hide');
                $('#md_modal_mensaje_cerrar').unbind()
                $('#md_modal_mensaje_cerrar').click(mostrarClase_modificar);
                $('#md_modal_mensaje_titulo').text('Modificación de una Clase Impartida');
                $('#md_modal_mensaje_div_contenido').html(msg.mensaje);
                $('#md_modal_mensaje').modal('show');

            }
        },
        error: function(msg) {

            // Error en la llamada al archivo de autenticación
            $('#md_modal_clase_modificar').modal('hide');
            $('#md_modal_mensaje_cerrar').unbind()
            $('#md_modal_mensaje_cerrar').click(mostrarClase_modificar);
            $('#md_modal_mensaje_titulo').text('Modificación de una Clase Impartida');
            $('#md_modal_mensaje_div_contenido').html('No se pudo modificar la información de la Clase Impartida');
            $('#md_modal_mensaje').modal('show');
        },
        complete: function() {

            //ocultar_blockUI();

        }
    });

}

function ingresar_clase() {

    $.ajax({
        type: 'post',
        url: 'administrador_clases_ingresar-ajax.php',
        dataType: 'json',
        beforeSend: function() {
            //mostrar_blockUI();
        },
        async: false,
        data: $("#frm_clase").serialize(),
        success: function(msg) {

            if (msg.success) {

                // Credenciales aceptadas
                cargar_informacion();
                $('#md_modal_clase_nuevo').modal('hide');
                $('#md_modal_mensaje_titulo').text('Ingreso de una clase');
                $('#md_modal_mensaje_div_contenido').html(msg.mensaje);
                $('#md_modal_mensaje_cerrar').unbind()
                $('#md_modal_mensaje').modal('show');

            } else {

                $('#md_modal_clase_nuevo').modal('hide');
                $('#md_modal_mensaje_cerrar').unbind();
                $('#md_modal_mensaje_cerrar').click(mostrarClase);
                $('#md_modal_mensaje_titulo').text('Ingreso de una Clase');
                $('#md_modal_mensaje_div_contenido').html(msg.mensaje);
                $('#md_modal_mensaje').modal('show');

            }
        },
        error: function(msg) {

            // Error en la llamada al archivo de autenticación
            alert('Error');
        },
        complete: function() {

            //ocultar_blockUI();

        }
    });

}